.PHONY: build run cli migrate lint tidy clean

BINARY_NAME=sample
CLI_NAME=sample-cli

build:
	go build -o build/$(BINARY_NAME) ./cmd/main/main.go
	go build -o build/$(CLI_NAME) ./cmd/cli/main.go

run:
	go run ./cmd/main/main.go

cli:
	go run ./cmd/cli/main.go $(ARGS)

migrate:
	go run ./cmd/cli/main.go migrate

lint:
	go vet ./...
	go fmt ./...

tidy:
	go mod tidy

clean:
	rm -rf build/
